%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		evolution-groupwise
Summary:	GroupWise support for Evolution
Version:	3.4.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		Networking/Mail
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
URL:		http://www.gnome.org/projects/evolution/
BuildRequires:	pkgconfig(camel-1.2) >= %{version}
BuildRequires:	pkgconfig(evolution-data-server-1.2) >= %{version}
BuildRequires:	pkgconfig(evolution-mail-3.0) >= %{version}
BuildRequires:	pkgconfig(evolution-plugin-3.0) >= %{version}
BuildRequires:	pkgconfig(evolution-shell-3.0) >= %{version}
BuildRequires:	pkgconfig(gconf-2.0) >= 2.0.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.16.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.90.4
BuildRequires:	pkgconfig(libebackend-1.2) >= %{version}
BuildRequires:	pkgconfig(libebook-1.2) >= %{version}
BuildRequires:	pkgconfig(libecal-1.2) >= %{version}
BuildRequires:	pkgconfig(libedata-book-1.2) >= %{version}
BuildRequires:	pkgconfig(libedata-cal-1.2) >= %{version}
BuildRequires:	pkgconfig(libedataserver-1.2) >= %{version}
BuildRequires:	pkgconfig(libedataserverui-3.0) >= %{version}
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.3.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.0.0
BuildRequires:	db-devel
BuildRequires:	gtk-doc
BuildRequires:	gnome-doc-utils
BuildRequires:	intltool >= 0.35.5
Conflicts:	evolution-data-server < 3.1.0
Conflicts:	evolution < 3.1.0
Requires:	evolution >= %{version}

%description
Provides GroupWise account service for Evolution.

%files
%doc NEWS
%{_libdir}/evolution-data-server/*/*
%{_libdir}/evolution/*/*/*
%{_datadir}/evolution/*/*/*

#----------------------------------------------------------------------

%define api	1.2
%define major	13
%define libname %mklibname egroupwise %{api} %{major}

%package -n %{libname}
Group:		System/Libraries
Summary:	Shared library for %{name}

%description -n %{libname}
Library for %{name}.

%files -n %{libname}
%{_libdir}/libegroupwise-%{api}.so.%{major}*

#----------------------------------------------------------------------

%package devel
Group:		Development/C
Summary:	Headers for writing %{name} plugins
Requires:	%{name} = %{version}
Requires:	%{libname} = %{version}
Conflicts:	evolution-data-server-devel < 3.1.0

%description devel
Install this if you want to build plugins that use %{name}'s API.

%files devel
%{_includedir}/evolution-data-server-*/groupwise
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

#----------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--disable-schemas-install
%make

%install
%makeinstall_std

find %{buildroot} -name *.la | xargs rm


%changelog

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226532
- new version 3.4.0
- new version 3.3.92

* Tue Mar 06 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 219719
- new version 3.3.91

* Mon Feb 20 2012 fwang <fwang> 3.3.90-1.mga2
+ Revision: 211197
- new version 3.3.90

* Mon Feb 06 2012 fwang <fwang> 3.3.5-1.mga2
+ Revision: 205370
- new version 3.3.5

* Tue Jan 17 2012 fwang <fwang> 3.3.4-1.mga2
+ Revision: 197148
- new version 3.3.4

* Tue Dec 20 2011 fwang <fwang> 3.3.3-1.mga2
+ Revision: 184707
- new version 3.3.3

* Mon Nov 21 2011 fwang <fwang> 3.3.2-1.mga2
+ Revision: 170244
- new version 3.3.2

* Sat Oct 29 2011 fwang <fwang> 3.3.1.1-1.mga2
+ Revision: 159431
- new version 3.3.1.1

* Sun Oct 16 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 155539
- new version 3.2.1
- clean .spec a bit

* Sun Sep 25 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 147605
- new version 3.2.0

* Mon Sep 19 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145472
- new version 3.1.92

* Sun Sep 04 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 138373
- new version 3.1.91

* Mon Aug 29 2011 fwang <fwang> 3.1.90-2.mga2
+ Revision: 136171
- add conflicts on older eds

* Mon Aug 29 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136136
- new version 3.1.90
- add more conflicts for file list
- requires evo
- update file list
- imported package evolution-groupwise

